Energia

Serial

## parseInt()

### Description

Looks for the next valid integer in the incoming serial stream. parseInt() inherits from the Stream utility class.

### Syntax

Serial.parseInt()

### Parameters

none

### Returns

int : the next valid integer

### Example

### See also

- Stream.ParseInt()
- Serial.read()
- Serial.find()
- Serial.flush()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes